Subject: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while dragged

From: Po Lu <[email-masked]>
Date: Sat, 23 Oct 2021 15:32:48 +0800

Previously, in an Emacs built with Xaw3d scroll bars, the thumb
proportion would update as the scrollbar was dragged.  Now it doesn't
update until the scrollbar is released, and something that makes the
scrollbar position change happens.

Thanks.

In GNU Emacs 27.2 (build 2, i386-unknown-linux-gnu, X toolkit, Xaw3d scroll bars)
of 2021-10-21 built on vendetta
Windowing system distributor 'The X.Org Foundation', version 11.0.12101001

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
'configure --prefix=/opt/gsb'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GCONF GLIB ACL
LIBSELINUX LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS LUCID X11 XDBE
XIM MODULES THREADS PDUMPER